    The XSPEC cplinear model: a non-physical piecewise-linear model for low count background spectra.

xscplinear
The xscplinear model is an additive model component.

The model is described at [1] .

>>> create_model_component("xscplinear", "mdl")
>>> print(mdl)

Create a component of the xscplinear model and display its default parameters. The output is:

mdl Param Type Value Min Max Units ----- ---- ----- --- --- ----- mdl.energy00 frozen 0.5 0 10 keV mdl.energy01 frozen 1 0 10 keV mdl.energy02 frozen 1.5 0 10 keV mdl.energy03 frozen 2 0 10 keV mdl.energy04 frozen 3 0 10 keV mdl.energy05 frozen 4 0 10 keV mdl.energy06 frozen 5 0 10 keV mdl.energy07 frozen 6 0 10 keV mdl.energy08 frozen 7 0 10 keV mdl.energy09 frozen 8 0 10 keV mdl.log_rate00 frozen 0 -20 20 mdl.log_rate01 frozen 1 -20 20 mdl.log_rate02 frozen 0 -20 20 mdl.log_rate03 frozen 1 -20 20 mdl.log_rate04 frozen 0 -20 20 mdl.log_rate05 frozen 1 -20 20 mdl.log_rate06 frozen 0 -20 20 mdl.log_rate07 frozen 1 -20 20 mdl.log_rate08 frozen 0 -20 20 mdl.log_rate09 frozen 1 -20 20 mdl.norm thawed 1 0 1e+24

ATTRIBUTES

The attributes for this object are:

Attribute
Definition
energy00, energy01, energy02, energy03, energy04, energy05, energy06, energy07, energy08, energy09
Energy in keV.
log_rate01, log_rate02, log_rate03, log_rate04, log_rate05, log_rate06, log_rate07, log_rate08, log_rate09
Log of the rate.
norm
The normalization of the model.

References

[1] https://heasarc.gsfc.nasa.gov/xanadu/xspec/manual/XSmodelCplinear.html

XSPEC version

CIAO 4.16 comes with support for version 12.13.1e of the XSPEC models. This can be checked with the following:

% python -c 'from sherpa.astro import xspec; print(xspec.get_xsversion())'12.13.1e

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023